import os

from evote.settings.staging import *  # noqa
from evote.settings.admin import *  # noqa


ALLOWED_HOSTS = [os.environ.get('SN_ADMIN')]

# Django Site identification
SITE_ID = 6


AUTHENTICATION_BACKENDS = (
    'django.contrib.auth.backends.ModelBackend',  # this is default
    'guardian.backends.ObjectPermissionBackend',
    'evotevotings.admin.backends.WSFedAdminBackend'
)

# ADFS AUTH (WS-Fed Sign-In Protocol)
ADFS_WSFED_CONFIG['wtrealm'] = 'urn:uminho:evotum-admin'  # noqa
ADFS_WSFED_CONFIG['template_fail'] = 'evoteadmin/signin_fail.html'  # noqa
