from contrib.backends import WSFedBackend


class WSFedManagementBackend(WSFedBackend):
    """ """

    def user_can_authenticate(self, user):
        """
        Reject users if is not staff members.
        """
        if not user.electoral_members.exists():
            return False
        return super(WSFedManagementBackend, self).get(user)
